Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-28368

Error "JDK 5 not supported to run Maven" while running Java 6

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Duplicate
    • Component/s: core
    • Labels:
      None
    • Similar Issues:

      Description

      Hi,

      I don't know why this problem appeared today, when running a job using Java 6, we got the following error:
      ERROR: JENKINS-18403 JDK 5 not supported to run Maven
      And then Jenkins switched to Java 7 (which we don't want).

      You can see the whole log here: http://jenkins.petalslink.com/view/81%20-%20Petals%20ESB%20Enterprise%204.3.x/job/4.3.x%20-%20Petals%20Components%20-%20CDK%20-%20Parent%20POM/2/console

      I checked the source code, and I guess a UnsupportedClassVersionError happened.
      It would maybe best to log the exception when it does to at least ease diagnostic if the problem is coming from us… but I don't think it is the case because it happens really at the beginning of the execution…

      Thanks!

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                victornoel Victor Noël
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: